コンテンツへスキップ

Kling Video v2.6 Motion Control [Standard]

統合

モデルID kling-video/v2.6/standard/motion-control
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v2.6/standard/motion-control?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.70 700 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Kling · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

0 / 2500
•必須 image_url
ファイルをドロップ、または

動画生成用の参照画像URL。ファイルサイズは10.0MB以内、幅と高さは340px~3850px、アスペクト比は0.40~2.50である必要があります。この画像は動画のキャラクター、背景、その他の要素を導きます。キャラクターの場合は、体の比率が明瞭で遮蔽がなく、画像領域の5%を超えていることを確認してください。

•必須 video_url
ファイルをドロップ、または

キャラクターの動きを出力の指針とする動画を指すURL。遮るもののない現実的なスタイルのキャラクターが映り、頭部と全身または上半身が見えている必要があります。character_orientation 設定により、'image'では長さが10s、'video'では30sに制限されます。ファイルは100 MB以内、幅と高さは340px~3850px、長さは3.0s~30.05sである必要があります。

character_orientation •必須

キャラクターの向きのソース: 'image'は参照画像に合わせ、カメラ移動への追従に適しており、最大10秒です。複雑な動きには 'video' が適しており、参照動画の向きに合わせて最大30秒まで指定できます。

詳細設定 enable_safety_checker · keep_original_sound
POST /run/kling-video/v2.6/standard/motion-control?wait=20 見積もり → $0.70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v2.6/standard/motion-control?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kling Video v2.6 Motion Control [Standard]について

キャラクター画像(`image_url`)と参照動画(`video_url`)を受け取り、キャラクターが動画の動きをするクリップを生成します。`character_orientation` は出力が画像と動画のどちらの向きに従うかを決定します。動画オプションは最大 30 秒の複雑な動きに適しています。最大 2500 文字の `prompt` を追加でき、`keep_original_sound` で参照動画の音声を保持するか選択できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを無効にできるのはアカウント認証済みの場合のみです。認証のないリクエストには常にチェックが実行されます。
prompt任意
型string | null
≤ 2,500文字
image_url必須 image
型url · image
動画生成用の参照画像URL。ファイルサイズは10.0MB以内、幅と高さは340px~3850px、アスペクト比は0.40~2.50である必要があります。この画像は動画のキャラクター、背景、その他の要素を導きます。キャラクターの場合は、体の比率が明瞭で遮蔽がなく、画像領域の5%を超えていることを確認してください。
video_url必須 video
型url · video
キャラクターの動きを出力の指針とする動画を指すURL。遮るもののない現実的なスタイルのキャラクターが映り、頭部と全身または上半身が見えている必要があります。character_orientation 設定により、'image'では長さが10s、'video'では30sに制限されます。ファイルは100 MB以内、幅と高さは340px~3850px、長さは3.0s~30.05sである必要があります。
keep_original_sound任意
型boolean
デフォルトtrue
参照動画の元の音声を保持するかどうかを制御します。
character_orientation必須
型enum
imagevideo
キャラクターの向きのソース: 'image'は参照画像に合わせ、カメラ移動への追従に適しており、最大10秒です。複雑な動きには 'video' が適しており、参照動画の向きに合わせて最大30秒まで指定できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v2.6/standard/motion-control",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 700,
    "usd": "0.70",
    "charged": 700,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kling-video/v2.6/standard/motion-control.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt